import 'package:hl_lieferservice/dto/basic_response.dart';
import 'package:json_annotation/json_annotation.dart';

part 'set_article_amount_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class SetArticleAmountResponseDTO extends BasicResponseDTO {
  SetArticleAmountResponseDTO({
    required super.succeeded,
    required super.message,
    this.noteId
  });

  String? noteId;

  factory SetArticleAmountResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$SetArticleAmountResponseDTOFromJson(json);

  @override
  Map<dynamic, dynamic> toJson() => _$SetArticleAmountResponseDTOToJson(this);
}
